Namespaces - Delete
Hiermee verwijdert u een bestaande naamruimte. Met deze bewerking worden ook alle gekoppelde resources onder de naamruimte verwijderd.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.EventHub/namespaces/{namespaceName}?api-version=2024-01-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
namespace
|
path | True |
string minLength: 6maxLength: 50 pattern: ^[a-zA-Z][a-zA-Z0-9-]{6,50}[a-zA-Z0-9]$ |
De naam van de naamruimte |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Naam van de resourcegroep binnen het Azure-abonnement. |
|
subscription
|
path | True |
string |
Abonnementsreferenties waarmee een Microsoft Azure-abonnement uniek wordt geïdentificeerd. De abonnements-id maakt deel uit van de URI voor elke serviceoproep. |
|
api-version
|
query | True |
string |
Client-API-versie. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Naamruimte is verwijderd. |
|
| 202 Accepted |
Aanvraag voor verwijderen van naamruimte geaccepteerd. |
|
| 204 No Content |
Geen inhoud. |
|
| Other Status Codes |
Eventhub-foutreactie waarin wordt beschreven waarom de bewerking is mislukt. |
Beveiliging
azure_auth
Azure Active Directory OAuth2-stroom
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
NameSpaceDelete
Voorbeeldaanvraag
DELETE https://management.azure.com/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.EventHub/namespaces/NamespaceSample?api-version=2024-01-01
Voorbeeldrespons
azure-asyncoperation: http://azure.async.operation/status
azure-asyncoperation: http://azure.async.operation/status
azure-asyncoperation: http://azure.async.operation/status
Definities
| Name | Description |
|---|---|
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie geeft aan dat de Event Hub-service de binnenkomende aanvraag niet kan verwerken. De reden is opgegeven in het foutbericht. |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ErrorResponse
Foutreactie geeft aan dat de Event Hub-service de binnenkomende aanvraag niet kan verwerken. De reden is opgegeven in het foutbericht.
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |